お支払い履歴
GET https://linktify.net/api/payments/
curl --request GET \
--url 'https://linktify.net/api/payments/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://linktify.net/api/payments/' \
--header 'Authorization: Bearer {api_key}' \
| パラメータ | 詳細 | 説明 |
|---|---|---|
| processor | 任意 文字列 | 許可値:paypal, stripe, offline_payment, payu, iyzico, paystack, razorpay, mollie, yookassa, crypto_com, paddle, paddle_billing, mercadopago, midtrans, flutterwave, lemonsqueezy, myfatoorah, klarna, plisio, revolut |
| status | 任意 文字列 | 許可値:paid, pending, cancelled, refunded |
| type | 任意 文字列 | 許可値:one_time, recurring |
| frequency | 任意 文字列 | 許可値:monthly, quarterly, biannual, annual, lifetime |
| datetime_field | 任意 文字列 | 許可値:datetime |
| datetime_start | 任意 文字列 | この日時以降でフィルタ。Y-m-d H:i:s 形式。 |
| datetime_end | 任意 文字列 | この日時まででフィルタ。Y-m-d H:i:s 形式。 |
| order_by | 任意 文字列 | 並び替えフィールド。許可値:id, datetime, total_amount。 |
| order_type | 任意 文字列 | 並び順。ASC(昇順)または DESC(降順)。 |
| page | 任意 整数 | 結果を取得するページ番号。既定は 1。 |
| results_per_page | 任意 整数 | 1ページあたりの件数。許可値:10, 25, 50, 100, 250, 500, 1000。既定 25。 |
{
"data": [
{
"id": 1,
"plan_id": 1,
"processor": "stripe",
"type": "one_time",
"frequency": "monthly",
"email": "[email protected]",
"name": null,
"total_amount": "4.99",
"currency": "USD",
"status": true,
"datetime": "2026-06-04 00:49:22",
},
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://linktify.net/api/payments?page=1",
"last": "https://linktify.net/api/payments?page=1",
"next": null,
"prev": null,
"self": "https://linktify.net/api/payments?page=1"
}
}
GET https://linktify.net/api/payments/{payment_id}
curl --request GET \
--url 'https://linktify.net/api/payments/{payment_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://linktify.net/api/payments/{payment_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"plan_id": 1,
"processor": "stripe",
"type": "one_time",
"frequency": "monthly",
"email": "[email protected]",
"name": null,
"total_amount": "4.99",
"currency": "USD",
"status": true,
"datetime": "2026-06-04 00:49:22",
}
}